Debian Bug report logs - #279104
Bookmark location is randomised

version graph

Package: iceweasel; Maintainer for iceweasel is Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>; Source for iceweasel is src:iceweasel.

Reported by: Juliusz Chroboczek <jch@pps.jussieu.fr>

Date: Sun, 31 Oct 2004 18:48:01 UTC

Severity: wishlist

Tags: wontfix

Found in version iceweasel/2.0.0.3-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#279104; Package mozilla-firefox. Full text and rfc822 format available.

Acknowledgement sent to Juliusz Chroboczek <jch@pps.jussieu.fr>:
New Bug report received and forwarded. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Juliusz Chroboczek <jch@pps.jussieu.fr>
To: submit@bugs.debian.org
Subject: Bookmark location is randomised
Date: 31 Oct 2004 19:34:11 +0100
Package: mozilla-firefox
Version: 0.9.3-5
Severity: wishlist

For some reason best understood by C++ programmers, the location of
the Firefox bookmarks file is randomised -- it is different on every
machine where you use Firefox.  This makes in unwieldy to synchronise
your bookmarks using something like Unison or rsync.

The same stands for things such as user.js.

Please make sure that ~/.mozilla/firefox/default is used instead of
the weird ~/.mozilla/firefox/default.xxx .

Thanks,

                                        Juliusz



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#279104; Package mozilla-firefox. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 279104@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: Juliusz Chroboczek <jch@pps.jussieu.fr>, 279104@bugs.debian.org
Subject: Re: Bug#279104: Bookmark location is randomised
Date: Mon, 1 Nov 2004 00:26:47 -0500
[Message part 1 (text/plain, inline)]
* Juliusz Chroboczek (jch@pps.jussieu.fr) wrote:
> Package: mozilla-firefox
> Version: 0.9.3-5
> Severity: wishlist
> 
> For some reason best understood by C++ programmers, the location of
> the Firefox bookmarks file is randomised -- it is different on every
> machine where you use Firefox.  This makes in unwieldy to synchronise
> your bookmarks using something like Unison or rsync.
> 
> The same stands for things such as user.js.
> 
> Please make sure that ~/.mozilla/firefox/default is used instead of
> the weird ~/.mozilla/firefox/default.xxx .

It's not randomised exactly. It's just the profile manager assigns a
small random digit to the end to make sure your profile is unique (at
least I'm pretty sure that's why). You can work around that by editing
the .mozilla/profiles.ini file, renaming the directory and replacing
the old paths in any of the config files, ie your prefs (there may be
others). 

-- 
Eric Dorland <eric.dorland@mail.mcgill.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

-----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GCS d- s++: a-- C+++ UL+++ P++ L++ E++ W++ N+ o K- w+ 
O? M++ V-- PS+ PE Y+ PGP++ t++ 5++ X+ R tv++ b+++ DI+ D+ 
G e h! r- y+ 
------END GEEK CODE BLOCK------
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `mozilla-firefox' to `firefox'. Request was from Eric Dorland <eric@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: wontfix Request was from Eric Dorland <eric@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#279104; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Lior Kaplan <kaplan@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #19 received at 279104-quiet@bugs.debian.org (full text, mbox):

From: Lior Kaplan <kaplan@debian.org>
To: 279104-submitter@bugs.debian.org
Cc: 279104-quiet@bugs.debian.org
Subject: Debian Firefox/Iceweasel bug triage - bug #279104
Date: Mon, 01 Oct 2007 14:17:14 +0200
Dear Firefox/Iceweasel user,

Thanks for your interest in Firefox/Iceweasel and the bug report you have contributed.

Your bug report [0] was done for a version which isn't a part of debian anymore. Debian 4.0 (Etch) was released with version 2.0.0.3.

Please reproduce your bug on an updated version of Iceweasel and confirm it 
still exists, or close it as irrelevant for recent versions. 

If you don't know or are not sure how to update or close your bug report, 
please contact me directly, and I'll help you.

IMPORTANT: In any case, please provide version info, as we use it to determine 
the relevance of the bug.

As this bug is quite old, I intend to close it if you don't update your bug 
report in the next 6 weeks.

This is the time line for the old bugs cleanup:
1. October 1st - first notice.
2. October 15th - Second notice.
3. October 29th - Third notice.
4. November 12th - Closing the bug.

Please help the Firefox/Iceweasel maintainer to help you (:

[0] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=279104

--
Lior Kaplan
kaplan@debian.org




Message sent on to Juliusz Chroboczek <jch@pps.jussieu.fr>:
Bug#279104. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#279104; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Juliusz Chroboczek <jch@pps.jussieu.fr>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #27 received at 279104@bugs.debian.org (full text, mbox):

From: Juliusz Chroboczek <jch@pps.jussieu.fr>
To: Lior Kaplan <kaplan@debian.org>
Cc: 279104@bugs.debian.org
Subject: Re: Bug#279104: Debian Firefox/Iceweasel bug triage - bug #279104
Date: Mon, 01 Oct 2007 19:24:43 +0200
> As this bug is quite old, I intend to close it if you don't update
> your bug report in the next 6 weeks.

You're kidding, I hope.  Please read http://www.jwz.org/doc/cadt.html .

And yes, the bug still exists in Iceweasel 2.0.0.3-1, as you would
have noticed immediately had you as much as glanced at the report.

                                        Juliusz




Bug reassigned from package `firefox' to `iceweasel'. Request was from Lior Kaplan <kaplan@debian.org> to control@bugs.debian.org. (Mon, 01 Oct 2007 18:09:02 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.0.0.3-1. Request was from Lior Kaplan <kaplan@debian.org> to control@bugs.debian.org. (Mon, 01 Oct 2007 18:09:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:01:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.